let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/i4klj1csjdfvcljfvq0pq87f6mjimxav-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/v5rysi44wh8gg04sipjjvy9a0a6mh6an-coreutils-8.31/bin";
  bzip2 = "/nix/store/yf6zmj5pvkqzcyhng38rvh253gg3b678-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/bjgagzx693lfga16wk8n58maw1446yvk-gzip-1.10/bin/gzip";
  xz = "/nix/store/hjx4ir6bnwzi7dh7yvb8p3lmzhqi4l5g-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/apf09a9vdvy967vkivad9cjwjnba8ii1-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/v5rysi44wh8gg04sipjjvy9a0a6mh6an-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/i4jqqn9mq5lby3s1yz5ax8xcawf2yxg5-nix-2.3.12/bin";
  nixPrefix = "/nix/store/i4jqqn9mq5lby3s1yz5ax8xcawf2yxg5-nix-2.3.12";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/i4jqqn9mq5lby3s1yz5ax8xcawf2yxg5-nix-2.3.12/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
